For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hardware Orders

Operations to manage hardware orders.

Create Hardware Order

post

Adds a new hardware order to the system.

Header parameters
saveDraftbooleanOptional

An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.

X-Use-Simplified-Order-FlowbooleanOptional

An optional header indicating to the client, the new approach delegates more logic to the backend, requiring the API/UI client to supply only the essential data when possible. Our backend now intelligently derives missing fields by leveraging defaults and configurations from the Portfolio Service

Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
Responses
200

Create Hardware Order Response

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: HardwareOrder
post/orders/hardware
POST /orders/hardware HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 5116

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": {
          "processor": "TSYS_US",
          "tidList": [
            "1004631982",
            "1004631983",
            "1004631984"
          ]
        },
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "merchant": {
    "merchantName": "text",
    "primaryContact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
    "mcc": "5411",
    "tradingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "shippingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "billingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "siteReferenceId": "text",
    "siteName": "text",
    "openingHours": [
      {
        "day": "MONDAY",
        "times": {
          "start": "07:00",
          "end": "17:00"
        }
      }
    ],
    "pois": [
      {
        "devicePackage": {
          "packageBundleId": "PREMIUM-36MONTH",
          "additionalPackageData": [
            {
              "variableName": "VAT_ID or BAX_ID",
              "variableValue": "1234566"
            }
          ],
          "quantity": 4,
          "serialNumbers": [
            "text"
          ]
        },
        "additionalDevicePackages": [
          {
            "packageBundleId": "PREMIUM-36MONTH",
            "additionalPackageData": [
              {
                "variableName": "VAT_ID or BAX_ID",
                "variableValue": "1234566"
              }
            ],
            "quantity": 4,
            "serialNumbers": [
              "text"
            ]
          }
        ]
      }
    ]
  }
}
{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": "[Circular Reference]",
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "merchant": {
    "merchantName": "text",
    "primaryContact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
    "mcc": "5411",
    "tradingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "shippingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "billingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "siteReferenceId": "text",
    "siteName": "text",
    "openingHours": [
      {
        "day": "MONDAY",
        "times": {
          "start": "07:00",
          "end": "17:00"
        }
      }
    ],
    "pois": [
      {
        "devicePackage": {
          "packageBundleId": "PREMIUM-36MONTH",
          "additionalPackageData": [
            {
              "variableName": "VAT_ID or BAX_ID",
              "variableValue": "1234566"
            }
          ],
          "quantity": 4,
          "serialNumbers": [
            "text"
          ]
        },
        "additionalDevicePackages": [
          {
            "packageBundleId": "PREMIUM-36MONTH",
            "additionalPackageData": [
              {
                "variableName": "VAT_ID or BAX_ID",
                "variableValue": "1234566"
              }
            ],
            "quantity": 4,
            "serialNumbers": [
              "text"
            ]
          }
        ]
      }
    ]
  },
  "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
  "status": "DRAFT",
  "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "createdBy": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "modifiedBy": "text",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderType": "HardwareOrder",
  "internal": {
    "oracleOrderNumber": 1,
    "oracleShippingTrackingReference": "text",
    "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
    "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
    "extendedDetails": {
      "status": "DRAFT",
      "code": "text",
      "information": "text",
      "lastChangeTime": "2020-01-06T18:16:14.243Z",
      "canCancel": true
    },
    "orderStats": {
      "minsSinceCreatedToLastUpdate": 0,
      "minsSinceLastStatusUpdate": 0
    },
    "vmssApplication": {
      "visaStatus": "NA ",
      "visaMatches": 1,
      "mcdStatus": "NA ",
      "mcdMatches": 1,
      "mcdTransactionReference": "text"
    },
    "salesforceApplicationId": "text",
    "signingInformation": {
      "provider": "SIGNICAT",
      "providerRef": "text",
      "signedFileUrl": "text",
      "signingRequests": [
        {
          "providerRef": "text",
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text"
          },
          "signed": false,
          "signedDateTime": "2026-01-01T00:00:00.000Z",
          "signingLink": "text"
        }
      ]
    },
    "econtractNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "draftNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "notificationReminders": {
      "econtract": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draft": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "docRequired": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      }
    },
    "customerOrderLink": {
      "orderLink": "https://example.com",
      "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkInitiatorUsername": "text",
      "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkReceiverUsername": "text",
      "linkSendTime": "2026-01-01T00:00:00.000Z",
      "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
      "customerUpdateTime": "2026-01-01T00:00:00.000Z"
    },
    "cancellationHistory": [
      {
        "cancelReasonEnum": "ADMIN_REASON",
        "cancelAdditionalReason": "text",
        "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "cancelledBy": "text",
        "cancelledDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "externalOnboarding": {
      "provider": "BANKAXEPT",
      "agreementId": "123e4567-e89b-12d3-a456-426614174000",
      "agreementStatus": "text",
      "merchantId": "text"
    }
  }
}

Update/Replace Hardware Order.

put

Update Hardware order. This can only be done if the order has not been submitted.

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
Responses
200

Replace Hardware Order Response

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: HardwareOrder
put/orders/hardware/{orderId}
PUT /orders/hardware/{orderId} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 5116

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": {
          "processor": "TSYS_US",
          "tidList": [
            "1004631982",
            "1004631983",
            "1004631984"
          ]
        },
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "merchant": {
    "merchantName": "text",
    "primaryContact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
    "mcc": "5411",
    "tradingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "shippingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "billingAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "companyAddress": {
      "contact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "vfiSiteId": "text",
      "storeNumber": "text",
      "governmentOwned": true,
      "governmentCountry": "AUS",
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "siteReferenceId": "text",
    "siteName": "text",
    "openingHours": [
      {
        "day": "MONDAY",
        "times": {
          "start": "07:00",
          "end": "17:00"
        }
      }
    ],
    "pois": [
      {
        "devicePackage": {
          "packageBundleId": "PREMIUM-36MONTH",
          "additionalPackageData": [
            {
              "variableName": "VAT_ID or BAX_ID",
              "variableValue": "1234566"
            }
          ],
          "quantity": 4,
          "serialNumbers": [
            "text"
          ]
        },
        "additionalDevicePackages": [
          {
            "packageBundleId": "PREMIUM-36MONTH",
            "additionalPackageData": [
              {
                "variableName": "VAT_ID or BAX_ID",
                "variableValue": "1234566"
              }
            ],
            "quantity": 4,
            "serialNumbers": [
              "text"
            ]
          }
        ]
      }
    ]
  }
}
[
  {
    "orderReference": "ORD-1234",
    "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
    "requestedDate": "2026-01-01T00:00:00.000Z",
    "poRef": "85219587",
    "paymentDetails": {
      "paymentType": "CREDIT",
      "accountType": "CHEQUE",
      "accountCurrency": "AED",
      "institutionName": "HSBC Bank",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumber": "23008275",
      "accountAddress": {
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "ean": "23008275",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "notes": "Current in draft, caller got busy, callback anothertime.",
    "additionalOrderData": [
      {
        "variableName": "VAT_ID or BAX_ID",
        "variableValue": "1234566"
      }
    ],
    "packageDetails": {
      "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
      "basePackageBundle": {
        "packageBundleId": "PREMIUM-36MONTH",
        "price": "20.50"
      },
      "servicePackages": [
        "[Circular Reference]"
      ],
      "deliveryPackage": {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ]
      }
    },
    "merchant": {
      "merchantName": "text",
      "primaryContact": {
        "contactType": "BUSINESS",
        "name": {
          "firstName": "text",
          "lastName": "text",
          "prefix": "text",
          "alternateFullName": "text",
          "middleName": "text",
          "suffix": "text"
        },
        "phoneNumbers": [
          {
            "callingCode": "text",
            "value": "text",
            "extension": "text",
            "isPrimary": false,
            "phoneType": "HOME"
          }
        ],
        "email": "name@gmail.com",
        "businessTitle": "text"
      },
      "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
      "mcc": "5411",
      "tradingAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "shippingAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "billingAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "companyAddress": {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text"
        },
        "vfiSiteId": "text",
        "storeNumber": "text",
        "governmentOwned": true,
        "governmentCountry": "AUS",
        "receiverName": "text",
        "addressLine1": "213 Miller Street",
        "addressLine2": "North Sydney",
        "addressLine3": "text",
        "poBox": "K1234",
        "city": "York",
        "countrySubdivision": "Georgia",
        "postCode": "2061",
        "country": "AUS",
        "timeZone": "text"
      },
      "siteReferenceId": "text",
      "siteName": "text",
      "openingHours": [
        {
          "day": "MONDAY",
          "times": {
            "start": "07:00",
            "end": "17:00"
          }
        }
      ],
      "pois": [
        {
          "devicePackage": {
            "packageBundleId": "PREMIUM-36MONTH",
            "additionalPackageData": [
              {
                "variableName": "VAT_ID or BAX_ID",
                "variableValue": "1234566"
              }
            ],
            "quantity": 4,
            "serialNumbers": [
              "text"
            ]
          },
          "additionalDevicePackages": [
            {
              "packageBundleId": "PREMIUM-36MONTH",
              "additionalPackageData": [
                {
                  "variableName": "VAT_ID or BAX_ID",
                  "variableValue": "1234566"
                }
              ],
              "quantity": 4,
              "serialNumbers": [
                "text"
              ]
            }
          ]
        }
      ]
    },
    "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "status": "DRAFT",
    "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
    "createdBy": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
    "modifiedBy": "text",
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "orderType": "HardwareOrder",
    "internal": {
      "oracleOrderNumber": 1,
      "oracleShippingTrackingReference": "text",
      "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
      "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
      "extendedDetails": {
        "status": "DRAFT",
        "code": "text",
        "information": "text",
        "lastChangeTime": "2020-01-06T18:16:14.243Z",
        "canCancel": true
      },
      "orderStats": {
        "minsSinceCreatedToLastUpdate": 0,
        "minsSinceLastStatusUpdate": 0
      },
      "vmssApplication": {
        "visaStatus": "NA ",
        "visaMatches": 1,
        "mcdStatus": "NA ",
        "mcdMatches": 1,
        "mcdTransactionReference": "text"
      },
      "salesforceApplicationId": "text",
      "signingInformation": {
        "provider": "SIGNICAT",
        "providerRef": "text",
        "signedFileUrl": "text",
        "signingRequests": [
          {
            "providerRef": "text",
            "contact": {
              "contactType": "BUSINESS",
              "name": {
                "firstName": "text",
                "lastName": "text",
                "prefix": "text",
                "alternateFullName": "text",
                "middleName": "text",
                "suffix": "text"
              },
              "phoneNumbers": [
                {
                  "callingCode": "text",
                  "value": "text",
                  "extension": "text",
                  "isPrimary": false,
                  "phoneType": "HOME"
                }
              ],
              "email": "name@gmail.com",
              "businessTitle": "text"
            },
            "signed": false,
            "signedDateTime": "2026-01-01T00:00:00.000Z",
            "signingLink": "text"
          }
        ]
      },
      "econtractNotificationReminder": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draftNotificationReminder": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "notificationReminders": {
        "econtract": {
          "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
          "notificationCount": 1,
          "templateName": "text",
          "notifications": [
            {
              "sentDateTime": "2026-01-01T00:00:00.000Z",
              "template": "text",
              "responseReferenceId": "text"
            }
          ]
        },
        "draft": {
          "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
          "notificationCount": 1,
          "templateName": "text",
          "notifications": [
            {
              "sentDateTime": "2026-01-01T00:00:00.000Z",
              "template": "text",
              "responseReferenceId": "text"
            }
          ]
        },
        "docRequired": {
          "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
          "notificationCount": 1,
          "templateName": "text",
          "notifications": [
            {
              "sentDateTime": "2026-01-01T00:00:00.000Z",
              "template": "text",
              "responseReferenceId": "text"
            }
          ]
        }
      },
      "customerOrderLink": {
        "orderLink": "https://example.com",
        "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "linkInitiatorUsername": "text",
        "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "linkReceiverUsername": "text",
        "linkSendTime": "2026-01-01T00:00:00.000Z",
        "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
        "customerUpdateTime": "2026-01-01T00:00:00.000Z"
      },
      "cancellationHistory": [
        {
          "cancelReasonEnum": "ADMIN_REASON",
          "cancelAdditionalReason": "text",
          "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
          "cancelledBy": "text",
          "cancelledDate": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalOnboarding": {
        "provider": "BANKAXEPT",
        "agreementId": "123e4567-e89b-12d3-a456-426614174000",
        "agreementStatus": "text",
        "merchantId": "text"
      }
    }
  }
]

Last updated

Was this helpful?